Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87554 - unstranslatable strings in /etc/init.d/iptables
Summary: unstranslatable strings in /etc/init.d/iptables
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: iptables
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-28 18:13 UTC by Pedro Miguel Marques Morais
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-01 10:21:12 UTC


Attachments (Terms of Use)

Description Pedro Miguel Marques Morais 2003-03-28 18:13:18 UTC
In /etc/init.d/iptables lines 173 and 184 there are $ chars missing,
so the string are unstranslatable.

Comment 1 Thomas Woerner 2003-06-17 15:19:13 UTC
Please be more verbose.

Comment 2 Pedro Miguel Marques Morais 2003-06-18 12:23:44 UTC
To translate a string in shell script using gettext you have to prefix it with $. 
For example "String" will not be translated; $"String" will. 
On lines 173 and 184 of the iptables initscript of the version in RHL9 you have 
to add a $ to the string you will find there. 
Got it now? :-) 


Note You need to log in before you can comment on or make changes to this bug.